Summary   : Amateur Station Tracking and Reporting system for amateur radio
Name      : xastir
Version   : 1.9.2
Release   : 2%{?dist}
License   : GPLv2
Group     : Applications/Internet
Source    : http://downloads.sourceforge.net/xastir/xastir-%{version}.tar.gz
Patch0    : xastir-1.9.2-libdir.patch
URL       : http://www.xastir.org
BuildRoot : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires : lesstif-devel
BuildRequires : libXt-devel
BuildRequires : festival
BuildRequires : ImageMagick-devel
BuildRequires : dos2unix
BuildRequires : libax25-devel
BuildRequires : curl-devel
BuildRequires : pcre-devel
BuildRequires : proj-devel
BuildRequires : python
BuildRequires : shapelib-devel

%description
Xastir is a graphical application that interfaces HAM radio
and internet access to realtime mapping software.

Install XASTIR if you are interested in APRS(tm) and HAM radio
software.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .libdir

%build
#./bootstrap.sh
%configure --without-graphicsmagick --with-rtree
make %{?_smp_mflags}
for f in README ChangeLog ; do
    mv $f $f.iso88591
    iconv -o $f -f iso88591 -t utf8 $f.iso88591
    rm -f $f.iso88591
done
dos2unix scripts/toporama250k.pl 

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
#fix wrong doc-path instalation in make install target
#or else we'll get unpacked files
rm -rf %{buildroot}/usr/share/doc
#remove gpx2shape because of unsupported dependency Geo::Shapelib
rm %{buildroot}/usr/share/xastir/gpx2shape


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/xastir
%{_bindir}/xastir_udp_client
%{_bindir}/callpass
%{_mandir}/man1/xastir.*
%attr(0644,root,root) %{_datadir}/xastir/Coordinate.pm
%{_datadir}/xastir
%{_datadir}/xastir/help
#%{_datadir}/xastir/config
%{_datadir}/xastir/symbols
%{_datadir}/xastir/maps
#%{_datadir}/xastir/Counties
#%{_datadir}/xastir/fcc
#%{_datadir}/xastir/GNIS
#%{_datadir}/xastir/sounds
%doc AUTHORS ChangeLog COPYING DEBUG_LEVELS FAQ LICENSE
%doc README README.Contributing README.CVS README.Getting-Started
%doc README.MAPS README.win32 UPGRADE

%changelog
* Sat Feb 23 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-2
- Moved scripts from libdir to datadir

* Fri Feb 22 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-1
- Updated to Fedora Packaging specifications

* Thu Jul 03 2003 Alan Crosswell <n2ygk@weca.org>
- 1.2.1 my patches now integrated into the main trunk.

* Sat Jun 21 2003 Alan Crosswell <n2ygk@weca.org> 
- added xastir-maps.patch

* Mon Jun 16 2003 Alan Crosswell <n2ygk@weca.org> 
- 1.2.0

* Fri Jun 06 2003 Alan Crosswell <n2ygk@weca.org> 
- June 5 snapshot

* Thu May 15 2003 Alan Crosswell <n2ygk@weca.org> 
- start with chuck's spec file for 1.1.4

